Mojolicious::Command::test(3)

NAME
Mojolicious::Command::test - Test command

SYNOPSIS
  Usage: APPLICATION test [OPTIONS] [TESTS]

    ./myapp.pl test
    ./myapp.pl test t/foo.t
    ./myapp.pl test -v t/foo/*.t

  Options:
    -h, --help      Show this summary of available options
    -v, --verbose   Print verbose debug information to STDERR

DESCRIPTION
Mojolicious::Command::test runs application tests from the "t" directory.

This is a core command, that means it is always enabled and its code a good example for learning to build new commands, you're welcome to fork it.

See "COMMANDS" in Mojolicious::Commands for a list of commands that are available by default.

ATTRIBUTES
Mojolicious::Command::test inherits all attributes from Mojolicious::Command and implements the following new ones.

  description
  my $description = $test->description;
  $test           = $test->description('Foo');

Short description of this command, used for the command list.

  usage
  my $usage = $test->usage;
  $test     = $test->usage('Foo');

Usage information for this command, used for the help screen.

METHODS
Mojolicious::Command::test inherits all methods from Mojolicious::Command and implements the following new ones.

  run
  $test->run(@ARGV);

Run this command.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.